Class RequestParameters
java.lang.Object
io.vertx.mutiny.ext.web.validation.RequestParameters
- All Implemented Interfaces:
MutinyDelegate
Container for request parameters
NOTE: This class has been automatically generated from the original non Mutiny-ified interface.
- Author:
- Francesco Guardiani @slinkydeveloper
- See Also:
-
RequestParameters
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionRequestParameters(io.vertx.ext.web.validation.RequestParameters delegate) Create a new instance ofRequestParametersdelegating to the given (non-null) instance ofRequestParameters.RequestParameters(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionbody()Return request body when parsed.cookieParameter(String name) Get cookie parameter by nameGet list of all parameter names inside cookiebooleanio.vertx.ext.web.validation.RequestParametersGet the delegate instance.inthashCode()headerParameter(String name) Get header parameter by name.Get list of all parameter names inside headerstatic RequestParametersnewInstance(io.vertx.ext.web.validation.RequestParameters delegate) Creates a new instance of theRequestParameters.pathParameter(String name) Get path parameter by nameGet list of all parameter names inside pathqueryParameter(String name) Get query parameter by nameGet list of all parameter names inside queryio.vertx.core.json.JsonObjecttoJson()This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not existtoString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
RequestParameters
public RequestParameters(io.vertx.ext.web.validation.RequestParameters delegate) Create a new instance ofRequestParametersdelegating to the given (non-null) instance ofRequestParameters. -
RequestParameters
-
-
Method Details
-
getDelegate
public io.vertx.ext.web.validation.RequestParameters getDelegate()Get the delegate instance.This method returns the instance on which this shim is delegating the calls. And so, give you access to the bare API.
- Specified by:
getDelegatein interfaceMutinyDelegate- Returns:
- the delegate instance
-
pathParametersNames
Get list of all parameter names inside path- Returns:
-
pathParameter
Get path parameter by name- Parameters:
name- Parameter name- Returns:
- . Can be
null.
-
queryParametersNames
Get list of all parameter names inside query- Returns:
-
queryParameter
Get query parameter by name- Parameters:
name- Parameter name- Returns:
- . Can be
null.
-
headerParametersNames
Get list of all parameter names inside header- Returns:
-
headerParameter
Get header parameter by name. This getter is case insensitive.- Parameters:
name- Parameter name- Returns:
- . Can be
null.
-
cookieParametersNames
Get list of all parameter names inside cookie- Returns:
-
cookieParameter
Get cookie parameter by name- Parameters:
name- Parameter name- Returns:
- . Can be
null.
-
body
Return request body when parsed. Forms are managed asJsonObject- Returns:
- . Can be
null.
-
toJson
public io.vertx.core.json.JsonObject toJson()This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist- Returns:
-
newInstance
Creates a new instance of theRequestParameters. -
hashCode
public int hashCode() -
equals
-
toString
-